Read current skill configuration and effect evidence requirements
GET
/v1/agents/{agent_id}/skills
const url = 'https://api.vocapable.com/v1/agents/example/skills';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/agents/example/skills \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”agent_id
required
Agent Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AgentSkills
object
agent_id
required
Agent Id
string
checked_at
required
Checked At
string format: date-time
skills
required
Skills
Array<object>
AgentSkillobject
schema_version
Schema Version
string
id
required
Id
string
name
required
Name
string
readiness
required
Readiness
string
reason
required
Reason
string
effect_owner
required
Effect Owner
string
completion_evidence
required
Completion Evidence
string
setup_path
required
Setup Path
string
enabled_tools
Enabled Tools
Array<string>
reason_codes
Reason Codes
Array<string>
execution_rechecks_required
Execution Rechecks Required
boolean
Example
{ "skills": [ { "schema_version": "agent_skill.v1", "id": "intake", "readiness": "ready", "effect_owner": "vocapable", "execution_rechecks_required": true } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}